#include "./func/func.h"
int chooseMassiveInput();

int main(){
    int x;
    
    setlocale(LC_ALL, "en_US.UTF-8");
    //massive data
    int massive[ROW][COL];
    for(int i = 0;i<ROW;i++)
        for(int j = 0;j<COL;j++)
            *(*(massive+i)+j)='0';
    //

    clear();  
    helpMenu();
    inp
    while((x=mainget())!=-1){

        if(x==1){
            helpMenu();inp;}

        else if(x==2 || (x>=21 && x<=29) || x==210){
            if(x==2){setMenu();inp;}
            else {setMassive(x,massive);flush();}
            }

        else if(x==3 || (x>=31 && x<=39) || x==310){
            if(x==3) {funcMenu();inp;}
            else func(x,massive);
            }
        else if((x>=311)&&(x<=320)){func2(x,massive);}
        else if(x==4){
            seeMassive(massive);inp;
            }

        else {printf("Input Error \"%d\" is undefind command.\n",x);
              printf("\tTo get command list input: help\nInput: ");}
    }
    return 0;
}
